Bug 1469730 - ansible.cfg should have all optimized tuning options set
ansible.cfg should have all optimized tuning options set
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer (Show other bugs)
All Linux
unspecified Severity low
: ---
: 3.7.0
Assigned To: Scott Dodson
Johnny Liu
Depends On:
  Show dependency treegraph
Reported: 2017-07-11 14:20 EDT by Sebastian Jug
Modified: 2017-08-24 11:23 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2017-08-24 11:23:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
Github openshift/openshift-ansible/issues/4734 None None None 2017-07-11 14:20 EDT

  None (edit)
Description Sebastian Jug 2017-07-11 14:20:03 EDT
Description of problem:
openshift-ansible comes with an ansible.cfg, however it is missing most of the performance optimizations as found in our documentation. (https://docs.openshift.com/container-platform/3.5/scaling_performance/install_practices.html#scaling-performance-install-optimization)

Version-Release number of the following components:
ansible-openshift master branch

How reproducible:

Steps to Reproduce:
1. clone ansible-openshift repo
2. open ansible.cfg
3. ???

Actual results:
ansible.cfg has some parameters set

Expected results:
ansible.cfg has all optimized parameters that we suggest
Comment 1 Scott Dodson 2017-08-09 11:48:08 EDT
Sebastian were there additional parameters you didn't include here?

Comment 2 Sebastian Jug 2017-08-09 12:25:39 EDT
hey Scott,

The PR includes all of our documented best configurations and I would consider it comprehensive.
Comment 3 Brenton Leanhardt 2017-08-24 11:23:34 EDT
This is merged and will ship with 3.7.  Since it was not reported by QE or customers and instead a member of the OpenShift team (who also submitted the PR) I'm going to close it.  If there are additional problems I'm sure Sebastian will let us know.

Note You need to log in before you can comment on or make changes to this bug.